mnoGoSearch 3.3.9 reference manual: Full-featured search engine software
Prev |  | Next

# AliasProg

## Name

AliasProg -- calls an external URL rewrite program

`indexer.conf`

## Synopsis

AliasProg {command line}

## Description

AliasProg specifies an external program that takes an URL and returns an appropriate alias to `STDOUT`. Use the `$1` variable to pass URL value to the program.

## Scope

AliasProg takes global effect for the entire configuration file and should be used only one time.

## Examples

    AliasProg "echo $1 | /usr/local/mysql/bin/replace http://localhost/ file:///home/httpd/"

## See also

Alias, ReverseAlias.

Prev | Home | Next
Alias | Up | Allow